Subject: Re: linux-next: manual merge of the iio tree with the spi tree

From: David Lechner <[email-masked]>
Date: Thu, 3 Jul 2025 07:28:07 -0500

On 7/3/25 3:31 AM, Jonathan Cameron wrote:
> On Thu, 3 Jul 2025 16:38:24 +1000
> Stephen Rothwell <[email-masked]> wrote:
> 
>> Hi all,
>>
>> Today's linux-next merge of the iio tree got a conflict in:
>>
>>   MAINTAINERS
>>
>> between commit:
>>
>>   e47a324d6f07 ("dt-bindings: trigger-source: add ADI Util Sigma-Delta SPI")
>>
>> from the spi tree and commit:
>>
>>   0dd88eaa7126 ("dt-bindings: trigger-source: add generic GPIO trigger source")
>>
>> from the iio tree.
>>
>> I fixed it up (see below) and can carry the fix as necessary. This
>> is now fixed as far as linux-next is concerned, but any non trivial
>> conflicts should be mentioned to your upstream maintainer when your tree
>> is submitted for merging.  You may also want to consider cooperating
>> with the maintainer of the conflicting tree to minimise any particularly
>> complex conflicts.
>>
> Thanks Stephen,
> 
> David, do you prefer these merged or kept as separate entries?

Ah, shoot, I forgot that we had added the gpio one and just made
one section like this.

I think it would make sense to also merge the new adi one with
the reset to keep things compact.

> 
> I don't think it matters either way in practice though this is the
> more complex merge (the other being just putting the blocks in order.
> 
> We can put a note in the pull request on preference but ultimately Linus
> will resolve this however he prefers! 
> 
> Jonathan
> 
> 
>> -- 
>> Cheers,
>> Stephen Rothwell
>>
>> diff --cc MAINTAINERS
>> index dd764b947dab,d0809d62ff48..000000000000
>> --- a/MAINTAINERS
>> +++ b/MAINTAINERS
>> @@@ -25333,19 -25201,15 +25341,20 @@@ TRADITIONAL CHINESE DOCUMENTATIO
>>   M:	Hu Haowen <[email-masked]>
>>   S:	Maintained
>>   W:	https://github.com/srcres258/linux-doc
>>  -T:	git git://github.com/srcres258/linux-doc.git doc-zh-tw
>>  +T:	git https://github.com/srcres258/linux-doc.git doc-zh-tw
>>   F:	Documentation/translations/zh_TW/
>>   
>> + TRIGGER SOURCE
>> + M:	David Lechner <[email-masked]>
>> + S:	Maintained
>> + F:	Documentation/devicetree/bindings/trigger-source/gpio-trigger.yaml
>> + F:	Documentation/devicetree/bindings/trigger-source/pwm-trigger.yaml
>> + 
>>  +TRIGGER SOURCE - ADI UTIL SIGMA DELTA SPI
>>  +M:	David Lechner <[email-masked]>
>>  +S:	Maintained
>>  +F:	Documentation/devicetree/bindings/trigger-source/adi,util-sigma-delta-spi.yaml
>>  +
>> - TRIGGER SOURCE - PWM
>> - M:	David Lechner <[email-masked]>
>> - S:	Maintained
>> - F:	Documentation/devicetree/bindings/trigger-source/pwm-trigger.yaml
>> - 
>>   TRUSTED SECURITY MODULE (TSM) INFRASTRUCTURE
>>   M:	Dan Williams <[email-masked]>
>>   L:	[email-masked]